petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsClearValue

Clears an option name-value pair in the options database, overriding whatever is already present.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsClearValue(PetscOptions options,const char iname[])

Not Collective, but setting values on certain processors could cause problems Many brfor parallel objects looking for options. Many br

### Input Parameter

| options | - options database, use NULL for the default global database Many br
| name | - name of option, this SHOULD have the - prepended Many br

Many br

### See Also

PetscOptionsInsert()

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages